[android-components](../index.md) / [mozilla.components.support.ktx.android.os](index.md) / [vibrateOneShot](./vibrate-one-shot.md)

# vibrateOneShot

`fun <ERROR CLASS>.vibrateOneShot(milliseconds: `[`Long`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/support/ktx/src/main/java/mozilla/components/support/ktx/android/os/Vibrator.kt#L21)

Vibrate constantly for the specified period of time.

### Parameters

`milliseconds` - The number of milliseconds to vibrate.